<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__plxs__descr__value__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_plxs_descr_value_t</compoundname>
    <includes local="no">cy_ble_plxs.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__plxs__descr__value__t_1a1b93139d5c064afc3198f88f1ba3ac12" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
        <definition>cy_stc_ble_conn_handle_t cy_stc_ble_plxs_descr_value_t::connHandle</definition>
        <argsstring />
        <name>connHandle</name>
        <briefdescription>
<para>Peer Device Handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_plxs.h" bodystart="198" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_plxs.h" line="198" />
      </memberdef>
      <memberdef id="structcy__stc__ble__plxs__descr__value__t_1ace5ebaa75364d74237c6c67822992b1e" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__service__api___p_l_x_s__definitions_1ga29ec7fba1c974f3ac585dd430da501ff">cy_en_ble_plxs_char_index_t</ref></type>
        <definition>cy_en_ble_plxs_char_index_t cy_stc_ble_plxs_descr_value_t::charIndex</definition>
        <argsstring />
        <name>charIndex</name>
        <briefdescription>
<para>Index of Service Characteristic. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_plxs.h" bodystart="199" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_plxs.h" line="199" />
      </memberdef>
      <memberdef id="structcy__stc__ble__plxs__descr__value__t_1a5188ffbcedcbdb7238d205d29e3e399c" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__service__api___p_l_x_s__definitions_1gaa1c685582367455c91a56d14052825b5">cy_en_ble_plxs_descr_index_t</ref></type>
        <definition>cy_en_ble_plxs_descr_index_t cy_stc_ble_plxs_descr_value_t::descrIndex</definition>
        <argsstring />
        <name>descrIndex</name>
        <briefdescription>
<para>Index of Descriptor. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_plxs.h" bodystart="200" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_plxs.h" line="200" />
      </memberdef>
      <memberdef id="structcy__stc__ble__plxs__descr__value__t_1af965e3dc3c56d1a810536568ad5acef6" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga840a7207c3fa1dd4e5d88f0bdfdceecb">cy_en_ble_gatt_err_code_t</ref></type>
        <definition>cy_en_ble_gatt_err_code_t cy_stc_ble_plxs_descr_value_t::gattErrorCode</definition>
        <argsstring />
        <name>gattErrorCode</name>
        <briefdescription>
<para>Error code received from application (optional) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_plxs.h" bodystart="201" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_plxs.h" line="201" />
      </memberdef>
      <memberdef id="structcy__stc__ble__plxs__descr__value__t_1a0b4a15da0eba8b5073033727f7112606" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__gatt__value__t">cy_stc_ble_gatt_value_t</ref> *</type>
        <definition>cy_stc_ble_gatt_value_t* cy_stc_ble_plxs_descr_value_t::value</definition>
        <argsstring />
        <name>value</name>
        <briefdescription>
<para>Characteristic Value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_plxs.h" bodystart="202" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_plxs.h" line="202" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>PLXS Characteristic descriptor value parameter structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="1098">
        <label>cy_stc_ble_conn_handle_t</label>
        <link refid="structcy__stc__ble__conn__handle__t" />
      </node>
      <node id="1097">
        <label>cy_stc_ble_gatt_value_t</label>
        <link refid="structcy__stc__ble__gatt__value__t" />
      </node>
      <node id="1096">
        <label>cy_stc_ble_plxs_descr_value_t</label>
        <link refid="structcy__stc__ble__plxs__descr__value__t" />
        <childnode refid="1097" relation="usage">
          <edgelabel>value</edgelabel>
        </childnode>
        <childnode refid="1098" relation="usage">
          <edgelabel>connHandle</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="203" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_plxs.h" bodystart="196" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_plxs.h" line="197" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__plxs__descr__value__t_1ace5ebaa75364d74237c6c67822992b1e" virt="non-virtual"><scope>cy_stc_ble_plxs_descr_value_t</scope><name>charIndex</name></member>
      <member prot="public" refid="structcy__stc__ble__plxs__descr__value__t_1a1b93139d5c064afc3198f88f1ba3ac12" virt="non-virtual"><scope>cy_stc_ble_plxs_descr_value_t</scope><name>connHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__plxs__descr__value__t_1a5188ffbcedcbdb7238d205d29e3e399c" virt="non-virtual"><scope>cy_stc_ble_plxs_descr_value_t</scope><name>descrIndex</name></member>
      <member prot="public" refid="structcy__stc__ble__plxs__descr__value__t_1af965e3dc3c56d1a810536568ad5acef6" virt="non-virtual"><scope>cy_stc_ble_plxs_descr_value_t</scope><name>gattErrorCode</name></member>
      <member prot="public" refid="structcy__stc__ble__plxs__descr__value__t_1a0b4a15da0eba8b5073033727f7112606" virt="non-virtual"><scope>cy_stc_ble_plxs_descr_value_t</scope><name>value</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>